org.eclipse.emf.compare.rcp.ui.internal.preferences

## Class FiltersPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.emf.compare.rcp.ui.internal.preferences.FiltersPreferencePage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPreferencePage

    public class FiltersPreferencePage
    extends org.eclipse.jface.preference.PreferencePage
    implements org.eclipse.ui.IWorkbenchPreferencePage

Preference page for `IDifferenceFilter`.

### Field Summary

Fields
`static String` `PAGE_ID` Preference page ID.
`static String` `SYNCHRONIZATION_BEHAVIOR` Preference key holding synchronization behavior value.

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`FiltersPreferencePage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.swt.widgets.Control` `createContents(org.eclipse.swt.widgets.Composite parent)`
`String` `getCurrentSynchronizationBehavior()` Gets the current value of the filter synchronization behavior.
`String` `getDefaultSynchronizationBehavior()`
`void` `init(org.eclipse.ui.IWorkbench workbench)`
`protected void` `performDefaults()`
`boolean` `performOk()`
`void` `setComboInput(String behavior)` Select the correct behavior in the interactive UI.
`void` `setCurrentSynchronizationBehavior(String newBehavior)` Set the current value of the filter synchronization behavior.

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Field Detail

#### PAGE_ID

    public static final String PAGE_ID

Preference page ID.

See Also:
  Constant Field Values

#### SYNCHRONIZATION_BEHAVIOR

    public static final String SYNCHRONIZATION_BEHAVIOR

Preference key holding synchronization behavior value.

See Also:
  Constant Field Values

### Constructor Detail

#### FiltersPreferencePage

    public FiltersPreferencePage()

### Method Detail

#### init

    public void init(org.eclipse.ui.IWorkbench workbench)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

#### createContents

    protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createContents` in class `org.eclipse.jface.preference.PreferencePage`

#### setComboInput

    public void setComboInput(String behavior)

Select the correct behavior in the interactive UI.

Parameters:
  `behavior` -

#### getCurrentSynchronizationBehavior

    public String getCurrentSynchronizationBehavior()

Gets the current value of the filter synchronization behavior.

This value can only be one of the following:

- `MessageDialogWithToggle.PROMPT`
- `MessageDialogWithToggle.ALWAYS`
- `MessageDialogWithToggle.NEVER`

Returns:
  String.

#### getDefaultSynchronizationBehavior

    public String getDefaultSynchronizationBehavior()

Returns:
  The default value of filter synchronization behavior.

#### setCurrentSynchronizationBehavior

    public void setCurrentSynchronizationBehavior(String newBehavior)

Set the current value of the filter synchronization behavior.

Parameters:
  `newBehavior` - New value.

#### performOk

    public boolean performOk()

Specified by:
  `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
Overrides:
  `performOk` in class `org.eclipse.jface.preference.PreferencePage`

#### performDefaults

    protected void performDefaults()

Overrides:
  `performDefaults` in class `org.eclipse.jface.preference.PreferencePage`